Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162004 - GtkFileSelector is dropping file name when creating folder in a SaveAs dialog.
Summary: GtkFileSelector is dropping file name when creating folder in a SaveAs dialog.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 00:41 UTC by Rodd Clarkson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-30 18:51:05 UTC


Attachments (Terms of Use)

Description Rodd Clarkson 2005-06-29 00:41:54 UTC
Description of problem:

The File Selector is dropping the file name to 'save as' when you create a
folder in the Save As dialog. 

Version-Release number of selected component (if applicable):

GTK2-2.7.0-1

How reproducible:

Very.  I've seen this behavior in Firefox, GIMP and Evolution.

Steps to Reproduce:
1. Open Firefox and browse to http://www.fedora.redhat.com/
2. Right click the 'Fedora Project' image in the top left corner and select
'Save Image as ...'
3. Click "Browser for other Folders" and select <Filesystem>/tmp
4. Click 'Create Folder' noting that the file name is still displayed.
5. A new folder appears.  Change the name from 'Type name of new folder' to
'test' and press enter.
6. Note that you are now in /tmp/test and that the 'Name' of the file has been
dropped.
  
Actual results:

The default file name is dropped


Expected results:

The default file name should remain in the Name field.

Comment 1 Rodd Clarkson 2005-06-29 00:42:54 UTC
Ah, I should have said that this is just one example of how to reproduce.  You
can get the same outcome in any application that uses the GtkFileSelector dialog
in SaveAs mode.

Comment 2 Matthias Clasen 2005-06-30 18:51:05 UTC
A slight variation of this bug is tracked upstream as
http://bugzilla.gnome.org/show_bug.cgi?id=308332


Note You need to log in before you can comment on or make changes to this bug.